[ Index ]

PHP Cross Reference of YOURLS

title

Body

[close]

/ -> composer.json (source)

   1  {
   2      "name": "yourls/yourls",
   3      "description": "Your Own URL Shortener",
   4      "type": "project",
   5      "keywords": [
   6          "shortener",
   7          "url shortener",
   8          "short url",
   9          "url",
  10          "bitly"
  11      ],
  12      "homepage": "https://yourls.org",
  13      "license": "MIT",
  14      "support": {
  15          "issues": "https://github.com/YOURLS/YOURLS/issues",
  16          "source": "https://github.com/YOURLS/YOURLS"
  17      },
  18      "require": {
  19          "php": ">=7.4",
  20          "ext-dom": "*",
  21          "ext-filter": "*",
  22          "ext-hash": "*",
  23          "ext-pcre": "*",
  24          "ext-pdo": "*",
  25          "ext-pdo_mysql": "*",
  26          "ozh/bookmarkletgen": "^1.2",
  27          "rmccue/requests" : "^2.0",
  28          "pomo/pomo" : "^1.4",
  29          "geoip2/geoip2" : "^2.10",
  30          "aura/sql": "^3.0",
  31          "jakeasmith/http_build_url": "^1.0",
  32          "symfony/polyfill-mbstring": "^1.15",
  33          "symfony/polyfill-intl-idn": "^1.17",
  34          "spatie/array-to-xml": "^2.14"
  35      },
  36      "require-dev": {
  37          "ext-ctype": "*"
  38      },
  39      "config": {
  40          "vendor-dir": "includes/vendor",
  41          "platform": {
  42              "php": "7.4.0"
  43          }
  44      },
  45      "autoload": {
  46          "psr-4": {
  47              "YOURLS\\": "includes/"
  48          }
  49      },
  50      "suggest": {
  51          "ext-bcmath": "May be needed to read GeoIP database (or ext-gmp)",
  52          "ext-curl": "Required for API usage",
  53          "ext-gmp": "May be needed to read GeoIP database (or ext-bcmath)",
  54          "ext-iconv": "For safer input handling",
  55          "ext-json": "For faster API performance",
  56          "ext-mbstring": "For best performance",
  57          "ext-openssl": "To fetch titles from HTTPS sites",
  58          "ext-posix": "May be needed on certain PHP versions",
  59          "ext-zlib": "For best performance"
  60      },
  61      "scripts": {
  62          "post-update-cmd": "bash ./includes/vendor/build-script/yourls-build.sh ./includes/vendor"
  63      }
  64  }


Generated: Tue Dec 6 05:10:02 2022 Cross-referenced by PHPXref 0.7.1